Zum Inhalt

Get itemVendor

Retrieve the properties and relationships of a item vendor object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemVendorsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemVendor object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemVendorWebCons({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "value": [
        {
            "itemNo": "1908-S",
            "vendorNo": "10000",
            "leadTimeCalculation": "",
            "vendorItemNo": "1908-S",
            "variantCode": ""
        },
        {
            "itemNo": "1908-S",
            "vendorNo": "20000",
            "leadTimeCalculation": "",
            "vendorItemNo": "1908-S",
            "variantCode": ""
        },
        {
            "itemNo": "1908-S",
            "vendorNo": "30000",
            "leadTimeCalculation": "",
            "vendorItemNo": "BLUESWIVEL",
            "variantCode": ""
        },
        {
            "itemNo": "1928-S",
            "vendorNo": "50000",
            "leadTimeCalculation": "",
            "vendorItemNo": "D200552",
            "variantCode": ""
        }
    ]
}

See also

Tips for working with the APIs
itemVendor
Delete itemVendor
Create itemVendor
Update itemVendor